# Package org.apache.hadoop.lib.lang

- Interface Summary
  Interface | Description
  --- | ---
  XException.ERROR | Interface to define error codes.

- Class Summary
  Class | Description
  --- | ---
  RunnableCallable | Adapter class that allows `Runnable`s and `Callable`s to be treated as the other.

- Exception Summary
  Exception | Description
  --- | ---
  XException | Generic exception that requires error codes and uses the a message template from the error code.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.